mscorlib 4.0.0.0 System.ValueType

This type and its members are intended for use by the compiler.

Represents a builder for asynchronous methods that return a task.

- Method
  4.0.0.0
  System.Void System.Runtime.CompilerServices.INotifyCompletion System.Runtime.CompilerServices.IAsyncStateMachine `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void System.Runtime.CompilerServices.ICriticalNotifyCompletion System.Runtime.CompilerServices.IAsyncStateMachine `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.AsyncTaskMethodBuilder

  This type and its members are intended for use by the compiler.

  Creates an instance of the class.

  A new instance of the builder.

- Method
  4.0.0.0
  System.Void ``

  This type and its members are intended for use by the compiler.

  Marks the task as failed and binds the specified exception to the task.

  The exception to bind to the task.
- Method
  4.0.0.0
  System.Void

  This type and its members are intended for use by the compiler.

  Marks the task as successfully completed.

- Method
  4.0.0.0
  System.Void `` To be added.

  Associates the builder with the specified state machine.

  The state machine instance to associate with the builder.
- Method
  4.0.0.0
  System.Void System.Runtime.CompilerServices.IAsyncStateMachine `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Threading.Tasks.Task To be added.

  This type and its members are intended for use by the compiler.

  Gets the task for this builder.